> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kua.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Generation



## OpenAPI

````yaml weaver GET /generations/{id}
openapi: 3.0.2
info:
  title: Kua.ai Weaver API
  version: '1.0'
servers:
  - url: https://api.kua.ai/weaver/api/v2
security: []
paths:
  /generations/{id}:
    get:
      operationId: GetGeneration
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Generation'
          description: Successful Response
components:
  schemas:
    Generation:
      type: object
      properties:
        accountId:
          type: string
        applicationId:
          type: string
        applicationName:
          type: string
        completedAt:
          type: integer
        createdAt:
          type: integer
        documentId:
          type: string
        documentTitle:
          type: string
        errorCode:
          type: string
        errorMessage:
          $ref: '#/components/schemas/ErrorHint'
        id:
          type: string
        inputs:
          type: object
          additionalProperties:
            type: string
        invocationId:
          type: string
        productId:
          type: string
        productTitle:
          type: string
        result:
          allOf:
            - type: string
            - $ref: '#/components/schemas/KResults'
            - $ref: '#/components/schemas/KProduct'
        resultType:
          allOf:
            - $ref: '#/components/schemas/KOutputType'
          default: TEXT
        status:
          $ref: '#/components/schemas/GenerationStatus'
        title:
          type: string
        workspaceId:
          type: string
    ErrorHint:
      type: object
      properties:
        en:
          type: string
        zh:
          type: string
    KResults:
      type: object
      properties:
        results:
          type: object
          additionalProperties:
            type: string
    KProduct:
      type: object
      properties:
        brand:
          type: string
        description:
          type: string
        feature:
          type: string
        id:
          type: string
        images:
          items:
            type: string
          type: array
        keywords:
          items:
            type: string
          type: array
        link:
          type: string
        specification:
          type: string
        title:
          type: string
        videos:
          items:
            type: string
          type: array
    KOutputType:
      enum:
        - TEXT
        - RESULTS
      type: string
    GenerationStatus:
      enum:
        - RUNNING
        - SUCCESS
        - FAILED
      type: string

````